### Method

# Gsk Path get_previous

since: 4.22

#### Declaration [src]

    gboolean
    gsk_path_get_previous (
      GskPath* self,
      GskPathPoint* point
    )

#### Description [src]

Moves `point` to the previous vertex.

An empty path has no points, so false is returned in this case.

Available since: 4.22

#### Parameters

`point`

  Type: `GskPathPoint`

  The current point.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

True if `point` was set.